{
	saved_firstTime [1]

	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(3);
			GiveWeapon(60);
			PlayAnimation(7);
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=1 )
		{
			PlayAnimation(28,1,7);
			Level.GetPlayer().PlaySound(33,100,1);
			Delay(5,2);
		}
		if( dy=2 )
		{
			Sg2= Level.GetEntity("RUSgt2");
			Sg2.PlayAnimation(28,1,7);
			Level.GetPlayer().PlaySound(34,100,1);
			Delay(3,3);
		}
		if( dy=3 )
		{
			Level.SetMessage(200,100,30);
			Level.saved_Onslaught = 1;
			Sg1= Level.GetEntity("RUSgt1");	Sg2= Level.GetEntity("RUSgt2");
			Sg1.PlayAnimation(13);		Sg2.PlayAnimation(13);
			Sg1.Delay(Random(15,20),4);	Sg2.Delay(Random(15,20),4);
		}
		if( dy=4 )
		{
			if( Level.saved_Treason = 1 )
			{
				SetNationality(1);
				TurnTo( Level.GetPlayer() );
				Attack( Level.GetPlayer() );
				Delay(3,4);
			}
			else
			{
				SetNationality(3);
				Delay(3,4);
			}
		}
	}]
}